<?php 

namespace Models;

use Bases\Model;

class Commentaire extends Model{
    protected $table = "commentaires";

    /**
     * Retourne le nombre total de commentaire dans la table Commentaires
     *
     * @return int
     */
    public function nombre(){
        $sql = "SELECT COUNT(*) FROM $this->table";

        $requete = $this->pdo()->prepare($sql);

        $requete->execute();

        return $requete->fetchColumn();
    }

    /**
     * Récupère un commentaire selon un id 
     *
     * @param int $id
     * @return object|false
     */
    public function un($id){
        $sql = "SELECT * FROM $this->table WHERE id = :id";

        $requete = $this->pdo()->prepare($sql);

        $requete->execute([
            ":id" => $id
        ]);

        return $requete->fetch();
    }

    
}